Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/SCRIPTS/NETCDF/gfortran_netcdf4_fpic2
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/SCRIPTS/NETCDF/gfortran_netcdf4_fpic2	(revision 1662)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/SCRIPTS/NETCDF/gfortran_netcdf4_fpic2	(revision 1724)
@@ -7,6 +7,6 @@
 #cd netcdf-3.6.1
 
-#cp /donnees/emlmd/Downloads/Software/netcdf-4.0.1.tar.gz .
-#gunzip netcdf-4.0.1.tar.gz
+cp /donnees/emlmd/Downloads/Software/netcdf-4.0.1.tar.gz .
+gunzip netcdf-4.0.1.tar.gz
 tar xvf netcdf-4.0.1.tar
 cd netcdf-4.0.1
@@ -35,6 +35,6 @@
 export CXXFLAGS="-O2 -fPIC"
 
-mkdir /home/marshttp/NETCDF/netcdf64-4.0.1_gfortran_fPIC
-./configure --prefix=/home/marshttp/NETCDF/netcdf64-4.0.1_gfortran_fPIC #> configure.log 2>&1
+mkdir /u/mlefevre/NETCDF/netcdf64-4.0.1_gfortran_fPIC
+./configure --prefix=/u/mlefevre/NETCDF/netcdf64-4.0.1_gfortran_fPIC #> configure.log 2>&1
 make #> make.log 2>&1
 make test #> make_test.log 2>&1
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WPS/geogrid/GEOGRID.TBL.ARW
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WPS/geogrid/GEOGRID.TBL.ARW	(revision 1662)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/WPS/geogrid/GEOGRID.TBL.ARW	(revision 1724)
@@ -19,4 +19,5 @@
         interp_option =		custom:four_pt
         interp_option =         omega:four_pt
+        interp_option =         venus_gcm:average_gcell(4.0)+four_pt+average_4p
         rel_path=               default:mola_topo32/
         rel_path= 		32ppd:mola_topo32/
@@ -27,4 +28,5 @@
         rel_path=               custom:crater2/
         rel_path=               omega:mola_topo64/
+        rel_path=               venus_gcm:Venus_topo/
 ===============================
 name = HGT_U
@@ -43,4 +45,5 @@
         interp_option =         omega:four_pt
         interp_option =         gcm:four_pt
+        interp_option =         venus_gcm:average_gcell(4.0)+four_pt+average_4pt
         rel_path=               default:mola_topo32/
         rel_path=               32ppd:mola_topo32/
@@ -51,4 +54,5 @@
         rel_path=               custom:crater2/
         rel_path=               omega:mola_topo64/
+        rel_path=               venus_gcm:Venus_topo/
 ===============================
 name = HGT_V
@@ -75,4 +79,5 @@
         rel_path=               custom:crater2/
         rel_path=               omega:mola_topo64/
+        rel_path=               venus_gcm:Venus_topo/
 ===============================
 name = THERMAL_INERTIA
@@ -97,4 +102,6 @@
 #	fill_missing=400. #north polar TI (needed with thermal_TES)
 #        fill_missing=180. #polar projection artefacts
+        interp_option =         venus_gcm:average_gcell(4.0)+four_pt+average_4pt
+        rel_path=               venus_gcm:Venus_topo/
 ===============================
 name = ALBEDO_GCM
@@ -119,4 +126,6 @@
         interp_option = gcm:four_pt
         rel_path =      gcm:albedo_GCM/
+        interp_option =         venus_gcm:average_gcell(4.0)+four_pt+average_4pt
+        rel_path=               venus_gcm:Venus_topo/
 #===============================
 #name=LANDUSEF
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM	(revision 1662)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM	(revision 1724)
@@ -112,4 +112,9 @@
 state  real  WSTAR     ij   misc  1  -  rd   "WSTAR"     "FREE CONVECTION VELOCITY FROM TH" "m/s"    #SAVEMARS2 wstar
 state  real  Z0SET     ij   misc  1  -  rd   "Z0SET"     "SET SURFACE ROUGHNESS"           "m"       #SAVEMARS2 z0
+state  real  HR_DYN     ikj   misc  1  -  -  "HR_DYN"     "HEATING RATE DYN"                 "K/s"
+state  real  DDT     ikj   misc  1  -  -  "DDT"     "TEMPERATURE TENDENCY"                 "K/s"
+state  real  DT_RAD     ikj   misc  1  -  -  "DT_RAD"     "RADIATIVE TEMPERATURE TENDENCY"                 "K/s"
+state  real  DT_VDF     ikj   misc  1  -  -  "DT_VDF"     "PBL CLMAIN TEMPERATURE TENDENCY"                 "K/s"
+state  real  DT_AJS     ikj   misc  1  -  -  "DT_AJS"     "AJUSTEMENT SEC TEMPERATURE TENDENCY"                 "K/s"
 
 ####
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM.newphys
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM.newphys	(revision 1662)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM.newphys	(revision 1724)
@@ -80,4 +80,9 @@
 state  real  HR_SW     ikj   misc  1  -  h  "HR_SW"     "HEATING RATE SW"                 "K/s"
 state  real  HR_LW     ikj   misc  1  -  h  "HR_LW"     "HEATING RATE LW"                 "K/s"
+state  real  HR_DYN     ikj   misc  1  -  -  "HR_DYN"     "HEATING RATE DYN"                 "K/s"
+state  real  DDT     ikj   misc  1  -  -  "DDT"     "TEMPERATURE TENDENCY"                 "K/s"
+state  real  DT_RAD     ikj   misc  1  -  -  "DT_RAD"     "RADIATIVE TEMPERATURE TENDENCY"                 "K/s"
+state  real  DT_VDF     ikj   misc  1  -  -  "DT_VDF"     "PBL CLMAIN TEMPERATURE TENDENCY"                 "K/s"
+state  real  DT_AJS     ikj   misc  1  -  -  "DT_AJS"     "AJUSTEMENT SEC TEMPERATURE TENDENCY"                 "K/s"
 state  real  SWDOWNZ    ij   misc  1  -  h  "SWDOWNZ"   "DOWNWARD SW FLUX AT SURFACE"     "W m-2"
 #### DUST CYCLE
@@ -106,15 +111,12 @@
 #### - effacer le h si l'on veut eviter les sorties
 ####
-state  real  -          ikjftb  scalar  1  -  -                         -
-state  real  qh2o       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QH2O"          "Water vapor mixing ratio"    "kg kg-1"
-state  real  qh2o_ice   ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QH2O_ICE"      "Water ice mixing ratio"      "kg kg-1"
-state  real  qdust      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QDUST"         "Dust mixing ratio"           "kg kg-1"
-state  real  qdustn     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QDUSTN"        "Dust_number mixing ratio"    "kg kg-1"
-state  real  qccn       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCCN"          "CCN mixing ratio"            "kg kg-1"
-state  real  qccnn      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCCNN"         "CCN number mixing ratio"     "kg kg-1"
-state  real  qco2       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCO2"          "CO2 mixing ratio"            "kg kg-1"
-state  real  qco2_ice   ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCO2_ICE"      "CO2 ice mixing ratio"        "kg kg-1"
-state  real  qccn_co2   ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCCN_CO2"      "CO2 CCN mixing ratio"        "kg kg-1"
-state  real  qccnn_co2  ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCCNN_CO2"     "CO2 CCN number mixing ratio" "kg kg-1"
+state  real  -         ikjftb  scalar  1  -  -                         -
+state  real  qh2o      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QH2O"          "Water vapor mixing ratio"   "kg kg-1"
+state  real  qh2o_ice  ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QH2O_ICE"      "Water ice mixing ratio"     "kg kg-1"
+state  real  qdust     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QDUST"         "Dust mixing ratio"          "kg kg-1"
+state  real  qdustn    ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QDUSTN"        "Dust_number mixing ratio"   "kg kg-1"
+state  real  qccn      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCCN"         "CCN mixing ratio"          "kg kg-1"
+state  real  qccnn     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCCNN"        "CCN number mixing ratio"   "kg kg-1"
+state  real  qco2      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCO2"          "CO2 mixing ratio"           "kg kg-1"
 state  real  chem_co   ikjftb  scalar  1  -  i01rusdf=(bdy_interp:dt)  "chem_co"     ""   ""
 state  real  chem_o    ikjftb  scalar  1  -  i01rusdf=(bdy_interp:dt)  "chem_o"      ""   ""
@@ -130,4 +132,5 @@
 state  real  chem_n2   ikjftb  scalar  1  -  i01rusdf=(bdy_interp:dt)  "chem_n2"     ""   ""
 state  real  chem_ar   ikjftb  scalar  1  -  i01rusdf=(bdy_interp:dt)  "chem_ar"     ""   ""
+####
 ####
 ####MARS MARS MARS MARS MARS
@@ -1267,7 +1270,7 @@
 rconfig   logical pert_coriolis           namelist,dynamics	max_domains  .false.  irh  "pert_coriolis"    ""   ""
 rconfig   logical mix_full_fields         namelist,dynamics     max_domains  .false.  irh  "mix_full_field"   ""   ""
-rconfig   real    base_pres               namelist,dynamics	1             610.     h    "base_pres"  "Mars Base state pressure, real only"      "Pa"
-rconfig   real    base_temp               namelist,dynamics	1             220.     h    "base_temp"  "Mars Base state sea level temperature, real only"      "K"
-rconfig   real    base_lapse              namelist,dynamics	1              30.     h    "base_lapse" "Mars Base state temperature difference between base pres and 1/e of atm depth - do not change, real only"      "K"
+rconfig   real    base_pres               namelist,dynamics	1             9.2e6     h    "base_pres"  "Mars Base state pressure, real only"      "Pa"
+rconfig   real    base_temp               namelist,dynamics	1             735.     h    "base_temp"  "Mars Base state sea level temperature, real only"      "K"
+rconfig   real    base_lapse              namelist,dynamics	1             100.     h    "base_lapse" "Mars Base state temperature difference between base pres and 1/e of atm depth - do not change, real only"      "K"
 rconfig   real    tiso                    namelist,dynamics     1             140.     h    "tiso"    "Mars isothermal value for high alt, real only"  "K"
 
@@ -1354,5 +1357,4 @@
 package   newwater     mars==11                     -              scalar:qh2o,qh2o_ice,qdust,qdustn
 package   newwatersca  mars==12                     -              scalar:qh2o,qh2o_ice,qdust,qdustn,qccn,qccnn
-package   cloudco2     mars==32                     -              scalar:qh2o,qh2o_ice,qdust,qdustn,qccn,qccnn,qco2,qco2_ice,qccn_co2,qccnn_co2
 package   photochem    mars==42                     -              scalar:qco2,chem_co,chem_o,chem_o1d,chem_o2,chem_o3,chem_h,chem_h2,chem_oh,chem_ho2,chem_h2o2,chem_ch4,chem_n2,chem_ar,qh2o_ice,qh2o,qdust,qdustn
 ##### MARS OPTIONS
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/dyn_em/module_big_step_utilities_em.F
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/dyn_em/module_big_step_utilities_em.F	(revision 1662)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/dyn_em/module_big_step_utilities_em.F	(revision 1724)
@@ -18,5 +18,4 @@
    USE module_configure
    USE module_wrf_error
-
 CONTAINS
 
@@ -569,5 +568,5 @@
       ENDDO
       ENDDO
-
+      !print*,'muu(i,j)',muu(1,:)
    ELSE IF (name .EQ. 'v')THEN
 
@@ -588,5 +587,5 @@
       ENDDO
       ENDDO
-
+      !print*,'muv(i,j)',muv(1,:)
    ELSE IF (name .EQ. 'w')THEN
       itf=MIN(ite,ide-1)
@@ -621,5 +620,6 @@
       ENDDO
       ENDDO
-   
+      !print*,'field(i,k,j)',field(1,:,1)
+      !print*,'(mu(i,j)+mub(i,j))',(mu(1,:)+mub(1,:))   
    ENDIF
 
@@ -1052,7 +1052,8 @@
 
   IF (non_hydrostatic) THEN
-
+      print*,'n_moist',n_moist
+      print*,'PARAM_FIRST_SCALAR',PARAM_FIRST_SCALAR
       IF (n_moist >= PARAM_FIRST_SCALAR ) THEN  
-
+        print*,'p(i,k,j)_before',p(1,:,1)
         DO j=jts,jtf
         DO k=kts,ktf
@@ -1075,5 +1076,5 @@
         ENDDO
         ENDDO
-
+        print*,'p(i,k,j)_after',p(1,:,1)
       ELSE
 
@@ -4075,5 +4076,5 @@
    INTEGER :: i_start, i_end, j_start, j_end, k_start, k_end, i_startu, j_startv
    INTEGER :: i, j, k
-   REAL    :: w1, w2, z0, z1, z2
+   REAL    :: w1, w2, z0, z1, z2,temp
 
 !-----------------------------------------------------------------------
@@ -4099,5 +4100,4 @@
 
 !  compute thermodynamics and velocities at pressure points
-
     do j = j_start,j_end
     do k = k_start, k_end
@@ -4107,5 +4107,9 @@
       p_phy(i,k,j) = p(i,k,j) + pb(i,k,j)
       pi_phy(i,k,j) = (p_phy(i,k,j)/p1000mb)**rcp
-      t_phy(i,k,j) = th_phy(i,k,j)*pi_phy(i,k,j)
+      IF (planet .eq. "venus" ) THEN
+        t_phy(i,k,j)= (th_phy(i,k,j)**nu - nu*(TT00**nu)*log((p1000mb/p_phy(i,k,j))**rcp))**(1/nu)
+      ELSE
+        t_phy(i,k,j) = th_phy(i,k,j)*pi_phy(i,k,j)
+      ENDIF
       rho(i,k,j) = 1./alt(i,k,j)*(1.+moist(i,k,j,P_QV))
       mu_3d(i,k,j) = mu(i,j)
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/dyn_em/module_init_utilities.F
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/dyn_em/module_init_utilities.F	(revision 1662)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/dyn_em/module_init_utilities.F	(revision 1724)
@@ -91,4 +91,92 @@
  END FUNCTION interp_0
 
+ real function interp_0_log( v_in,  &
+                         p_in, p_out, nz_in  )
+ implicit none
+ integer nz_in, nz_out
+ real    v_in(nz_in), p_in(nz_in)
+ real    p_out
+
+ integer kp, k, im, ip
+ logical interp, increasing_z 
+ real    height, w1, w2
+ logical debug
+ parameter ( debug = .false. )
+
+! does vertical coordinate increase or decrease with increasing k?
+! set offset appropriately
+
+ height = p_out
+
+ if(debug) write(6,*) ' height in interp_0 ',height
+
+ if (p_in(nz_in) .gt. p_in(1)) then
+
+    if(debug) write(6,*) ' monotonic increase in z in interp_0 '
+    IF (height > p_in(nz_in)) then
+      if(debug) write(6,*) ' point 1 in interp_0 '
+      w2 = log(p_in(nz_in)/height)/log(p_in(nz_in)/p_in(nz_in-1))
+      w1 = 1.-w2
+      interp_0_log = w1*v_in(nz_in) + w2*v_in(nz_in-1)
+    ELSE IF (height < p_in(1)) then
+      if(debug) write(6,*) ' point 2 in interp_0 '
+      w2 = log(p_in(2)/height)/log(p_in(2)/p_in(1))
+      w1 = 1.-w2
+      interp_0_log = w1*v_in(2) + w2*v_in(1)
+    ELSE
+      if(debug) write(6,*) ' point 3 in interp_0 '
+      interp = .false.
+      kp = nz_in
+      DO WHILE ( (interp .eqv. .false.) .and. (kp .ge. 2) )
+        IF(   ((p_in(kp)   .ge. height) .and.     &
+               (p_in(kp-1) .le. height))        )   THEN
+          w2 = log(height/p_in(kp))/log(p_in(kp-1)/p_in(kp))
+          w1 = 1.-w2
+          interp_0_log = w1*v_in(kp) + w2*v_in(kp-1)
+          if(debug) write(6,*) ' interp data, kp, w1, w2 ',kp, w1, w2
+          if(debug) write(6,*) ' interp data, v_in(kp), v_in(kp-1), interp_0_p ', &
+                     v_in(kp), v_in(kp-1), interp_0_log
+          interp = .true.
+        END IF
+        kp = kp-1
+      ENDDO
+    ENDIF
+
+ else
+
+    if(debug) write(6,*) ' monotonic decrease in z in interp_0 '
+
+    IF (height < p_in(nz_in)) then
+      if(debug) write(6,*) ' point 1 in interp_0 '
+      w2 = log(p_in(nz_in)/height)/log(p_in(nz_in)/p_in(nz_in-1))
+      w1 = 1.-w2
+      interp_0_log = w1*v_in(nz_in) + w2*v_in(nz_in-1)
+    ELSE IF (height > p_in(1)) then
+      if(debug) write(6,*) ' point 2 in interp_0 '
+      w2 = log(p_in(2)/height)/log(p_in(2)/p_in(1))
+      w1 = 1.-w2
+      interp_0_log = w1*v_in(2) + w2*v_in(1)
+    ELSE
+      if(debug) write(6,*) ' point 3 in interp_0 '
+      interp = .false.
+      kp = nz_in
+      height = p_out
+      DO WHILE ( (interp .eqv. .false.) .and. (kp .ge. 2) )
+        IF(   ((p_in(kp)   .le. height) .and.     &
+               (p_in(kp-1) .ge. height))             )   THEN
+          w2 = log(height/p_in(kp))/log(p_in(kp-1)/p_in(kp))
+          w1 = 1.-w2
+          interp_0_log = w1*v_in(kp) + w2*v_in(kp-1)
+          interp = .true.
+        END IF
+        kp = kp-1
+      ENDDO
+    ENDIF
+
+ end if
+
+ return
+ END FUNCTION interp_0_log
+
 END MODULE module_init_utilities
 
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/dyn_em/module_initialize_real.F
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/dyn_em/module_initialize_real.F	(revision 1662)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/dyn_em/module_initialize_real.F	(revision 1724)
@@ -21,4 +21,5 @@
    USE module_soil_pre
    USE module_date_time
+   use module_init_utilities
 #ifdef DM_PARALLEL
    USE module_dm
@@ -118,7 +119,9 @@
       REAL :: max_dz
 
-!      INTEGER , PARAMETER :: nl_max = 1000
+      INTEGER , PARAMETER :: nl_max = 1000
+      INTEGER :: nl_in
 !      REAL , DIMENSION(nl_max) :: grid%em_dn
-
+      REAL, DIMENSION(nl_max) :: pd_in
+      REAL, DIMENSION(nl_max) :: profdustq,profdustn
 integer::oops1,oops2
 
@@ -149,5 +152,5 @@
       !LOGICAL :: interp_theta = .false. ! Wee et al. 2012 correction
       REAL :: pfu, pfd, phm
-
+      REAL :: tpot
 
 #ifdef DM_PARALLEL
@@ -1080,32 +1083,32 @@
 !!END DO
 
-
+IF ( planet == "mars" ) then
 !--get vertical size of the GCM input array and allocate new stuff
-sizegcm=SIZE(grid%em_rh_gc(1,:,1))
-ALLOCATE(sig(MIN(ite,ide-1)-its+1,sizegcm, MIN(jte,jde-1)-jts+1))
-!ALLOCATE(ap(MIN(ite,ide-1)-its+1,sizegcm, MIN(jte,jde-1)-jts+1))
-ALLOCATE(bp(MIN(ite,ide-1)-its+1,sizegcm, MIN(jte,jde-1)-jts+1))
-
-DO j = jts , MIN ( jde-1 , jte )
-DO i = its , MIN (ide-1 , ite )
+  sizegcm=SIZE(grid%em_rh_gc(1,:,1))
+  ALLOCATE(sig(MIN(ite,ide-1)-its+1,sizegcm, MIN(jte,jde-1)-jts+1))
+  !ALLOCATE(ap(MIN(ite,ide-1)-its+1,sizegcm, MIN(jte,jde-1)-jts+1))
+  ALLOCATE(bp(MIN(ite,ide-1)-its+1,sizegcm, MIN(jte,jde-1)-jts+1))
+
+  DO j = jts , MIN ( jde-1 , jte )
+  DO i = its , MIN (ide-1 , ite )
 
 !!! Define old sigma levels for each column
-        sig(i,:,j)=grid%em_p_gc(i,:,j)/grid%em_psfc_gc(i,j)
+          sig(i,:,j)=grid%em_p_gc(i,:,j)/grid%em_psfc_gc(i,j)
 
 !!! Compute new sigma levels from old sigma levels with GCM (low-res) and WRF (hi-res) surface pressure 
 !!!                        (dimlevs,sigma_gcm, ps_gcm,                ps_hr,         sigma_hr)
-        CALL build_sigma_hr(sizegcm,sig(i,:,j),grid%em_psfc_gc(i,j),grid%psfc(i,j),bp(i,:,j))
+          CALL build_sigma_hr(sizegcm,sig(i,:,j),grid%em_psfc_gc(i,j),grid%psfc(i,j),bp(i,:,j))
 
 !!! Calculate new pressure levels
-        grid%em_pd_gc(i,:,j)=bp(i,:,j)*grid%psfc(i,j)
-
-END DO
-END DO
-
-DEALLOCATE(sig)
-DEALLOCATE(bp)
+          grid%em_pd_gc(i,:,j)=bp(i,:,j)*grid%psfc(i,j)
+
+  END DO
+  END DO
+
+  DEALLOCATE(sig)
+  DEALLOCATE(bp)
 
 !!****MARS who knows...
-grid%em_rh_gc(:,:,:)=0.
+  grid%em_rh_gc(:,:,:)=0.
 
 
@@ -1113,5 +1116,5 @@
 !grid%em_pd_gc=grid%em_p_gc
 !!****MARS
-
+ELSE ! VENUS
 
 
@@ -1120,26 +1123,28 @@
          !!  dry top pressure (constant).
          !
-         !CALL p_dts ( grid%em_mu0 , grid%em_intq_gc , grid%psfc , grid%p_top , &
-         !             ids , ide , jds , jde , 1   , num_metgrid_levels , &
-         !             ims , ime , jms , jme , 1   , num_metgrid_levels , &
-         !             its , ite , jts , jte , 1   , num_metgrid_levels )
-
+           CALL p_dts ( grid%em_mu0 , grid%em_intq_gc , grid%psfc , grid%p_top , &
+                        ids , ide , jds , jde , 1   , num_metgrid_levels , &
+                        ims , ime , jms , jme , 1   , num_metgrid_levels , &
+                        its , ite , jts , jte , 1   , num_metgrid_levels )
+ENDIF
+IF ( planet == "mars" ) then
 !!****MARS
-DO j = jts , MIN ( jde-1 , jte )
-DO i = its , MIN (ide-1 , ite )
-
-   grid%em_mu0(i,j) = grid%psfc(i,j) - grid%p_top
-
-END DO
-END DO
+  DO j = jts , MIN ( jde-1 , jte )
+  DO i = its , MIN (ide-1 , ite )
+
+     grid%em_mu0(i,j) = grid%psfc(i,j) - grid%p_top
+
+  END DO
+  END DO
 !!****MARS
-
+ELSE ! VENUS
    
          !!  Compute the dry, hydrostatic surface pressure.
          !
-         !CALL p_dhs ( grid%em_pdhs , grid%ht , p00 , t00 , a , &
-         !             ids , ide , jds , jde , kds , kde , &
-         !             ims , ime , jms , jme , kms , kme , &
-         !             its , ite , jts , jte , kts , kte )
+           CALL p_dhs ( grid%em_pdhs , grid%ht , p00 , t00 , a , &
+                        ids , ide , jds , jde , kds , kde , &
+                        ims , ime , jms , jme , kms , kme , &
+                        its , ite , jts , jte , kts , kte )
+ENDIF
 !!****MARS: voir remarques dans la routine
 !!****MARS: dry hydrostatic pressure comes from the GCM ...
@@ -2294,5 +2299,9 @@
 IF (( i .EQ. its ) .AND. ( j .EQ. jts )) print *, temp, k
 !!! MODIF WRFV3.1 - parameter tiso
-               grid%em_t_init(i,k,j) = temp*(p00/grid%em_pb(i,k,j))**(r_d/cp) - t0
+               IF (planet .eq. "mars" ) THEN
+                 grid%em_t_init(i,k,j) = temp*(p00/grid%em_pb(i,k,j))**(r_d/cp) - t0
+               ELSE
+                 grid%em_t_init(i,k,j) = (temp**nu + nu*(TT00**nu)*log((p00/grid%em_pb(i,k,j))**rcp))**(1/nu) -t0
+               ENDIF
                grid%em_alb(i,k,j) = (r_d/p1000mb)*(grid%em_t_init(i,k,j)+t0)*(grid%em_pb(i,k,j)/p1000mb)**cvpm
             END DO
@@ -2601,5 +2610,4 @@
 !!NB: q2 is used for other purpose ...
 
-
 !      END IF
 
@@ -2780,6 +2788,9 @@
 temp1 = MAX(tiso,t00+A*LOG(grid%em_pb(i,k,j)/p00))
 temp2 = MAX(tiso,t00+A*LOG(           pb_int/p00))
-grid%em_t_init(i,k,j) = temp1*(p00/grid%em_pb(i,k,j))**(r_d/cp) - t0
-t_init_int(i,k,j)     = temp2*(p00/pb_int           )**(r_d/cp) - t0
+IF (planet .eq. "mars" ) THEN
+  grid%em_t_init(i,k,j) = temp1*(p00/grid%em_pb(i,k,j))**(r_d/cp) - t0
+  t_init_int(i,k,j)     = temp2*(p00/pb_int           )**(r_d/cp) - t0
+ELSE
+ENDIF
                grid%em_alb(i,k,j) = (r_d/p1000mb)*(grid%em_t_init(i,k,j)+t0)*(grid%em_pb(i,k,j)/p1000mb)**cvpm
             END DO
@@ -4969,5 +4980,9 @@
 !            temp =             t00 + A*LOG(pb/p00)
 temp = MAX ( tiso, t00 + A*LOG(pb/p00) )
-            t_init = temp*(p00/pb)**(r_d/cp) - t0
+           IF (planet .eq. "mars" ) THEN
+              t_init = temp*(p00/pb)**(r_d/cp) - t0
+            ELSE
+              t_init = (temp**nu + nu*(TT00**nu)*log((p00/pb)**(rcp)))**(1/nu) - t0
+            ENDIF
             alb(k) = (r_d/p1000mb)*(t_init+t0)*(pb/p1000mb)**cvpm
          END DO
@@ -5005,5 +5020,9 @@
 !            temp =             t00 + A*LOG(pb/p00)
 temp = MAX ( tiso, t00 + A*LOG(pb/p00) )
-            t_init = temp*(p00/pb)**(r_d/cp) - t0
+           IF (planet .eq. "mars" ) THEN
+              t_init = temp*(p00/pb)**(r_d/cp) - t0
+            ELSE
+              t_init = (temp**nu + nu*(TT00**nu)*log((p00/pb)**(rcp)))**(1/nu) -t0
+            ENDIF
             alb(k) = (r_d/p1000mb)*(t_init+t0)*(pb/p1000mb)**cvpm
             znw(k+1) = znw(k) - dz*g / ( mub*alb(k) )
@@ -5025,5 +5044,9 @@
 !                  temp =             t00 + A*LOG(pb/p00)
 temp = MAX ( tiso, t00 + A*LOG(pb/p00) )
-                  t_init = temp*(p00/pb)**(r_d/cp) - t0
+           IF (planet .eq. "mars" ) THEN
+              t_init = temp*(p00/pb)**(r_d/cp) - t0
+            ELSE
+              t_init = (temp**nu + nu*(TT00**nu)*log((p00/pb)**(rcp)))**(1/nu) -t0
+            ENDIF
                   alb(k) = (r_d/p1000mb)*(t_init+t0)*(pb/p1000mb)**cvpm
                   znw(k+1) = znw(k) - dz*g / ( mub*alb(k) )
@@ -5052,5 +5075,9 @@
 !               temp =             t00 + A*LOG(pb/p00)
 temp = MAX ( tiso, t00 + A*LOG(pb/p00) )
-               t_init = temp*(p00/pb)**(r_d/cp) - t0
+           IF (planet .eq. "mars" ) THEN
+              t_init = temp*(p00/pb)**(r_d/cp) - t0
+            ELSE
+              t_init = (temp**nu + nu*(TT00**nu)*log((p00/pb)**(rcp)))**(1/nu) -t0
+            ENDIF
                alb(k) = (r_d/p1000mb)*(t_init+t0)*(pb/p1000mb)**cvpm
             END DO
@@ -5720,8 +5747,4 @@
       end subroutine build_sigma_hr
 
-
-
-
-
 END MODULE module_initialize
 
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/dyn_em/solve_em.F
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/dyn_em/solve_em.F	(revision 1662)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/dyn_em/solve_em.F	(revision 1724)
@@ -160,5 +160,5 @@
   ijds = min(ids, jds)
   ijde = max(ide, jde)
-
+  !num_moist = 3
   num_3d_m        = num_moist
   num_3d_c        = num_chem
@@ -892,4 +892,9 @@
      &       ,HR_SW=grid%HR_SW   &
      &       ,HR_LW=grid%HR_LW   &
+     &       ,HR_DYN=grid%HR_DYN   &
+     &       ,DDT=grid%DDT  &
+     &       ,DT_RAD=grid%DT_RAD  &
+     &       ,DT_VDF=grid%DT_VDF  &
+     &       ,DT_AJS=grid%DT_AJS  &
      &       ,SWDOWNZ=grid%SWDOWNZ   &
      &       ,TAU_DUST=grid%TAU_DUST   &
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_mars_lmd_new/update_outputs_physiq_mod.F
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_mars_lmd_new/update_outputs_physiq_mod.F	(revision 1662)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_mars_lmd_new/update_outputs_physiq_mod.F	(revision 1724)
@@ -160,5 +160,5 @@
             SWDOWNZ,TAU_DUST,QSURFDUST,&
             MTOT,ICETOT,TAU_ICE,&
-            HR_SW,HR_LW,&
+            HR_SW,HR_LW,HR_DYN,DT,DTRAD,DTVDF,DTAJS,&
             RDUST,VMR_ICE,RICE)
 
@@ -171,5 +171,5 @@
      MTOT,ICETOT,TAU_ICE
    REAL, DIMENSION( ims:ime, kms:kme, jms:jme ), INTENT(INOUT ) :: &
-     HR_SW,HR_LW,RDUST,VMR_ICE,RICE
+     HR_SW,HR_LW,RDUST,VMR_ICE,RICE,HR_DYN,DT,DTRAD,DTVDF,DTAJS
    INTEGER :: i,j,subs
 
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_prescribed_void_lmd_new/update_outputs_physiq_mod.F
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_prescribed_void_lmd_new/update_outputs_physiq_mod.F	(revision 1662)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_prescribed_void_lmd_new/update_outputs_physiq_mod.F	(revision 1724)
@@ -52,5 +52,5 @@
 SUBROUTINE update_outputs_physiq_turb( &
             ims,ime,jms,jme,kms,kme,&
-            ips,ipe,jps,jpe,&
+            ips,ipe,jps,jpe,kps,kpe,&
             M_Q2,M_WSTAR,&
             HFMAX,ZMAX,USTM,HFX)
@@ -67,10 +67,10 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 SUBROUTINE update_outputs_physiq_diag( &
-            ims,ime,jms,jme,kms,kme,&
-            ips,ipe,jps,jpe,kps,kpe,&
-            SWDOWNZ,TAU_DUST,QSURFDUST,&
-            MTOT,ICETOT,TAU_ICE,&
-            HR_SW,HR_LW,&
-            RDUST,VMR_ICE,RICE)
+           ims,ime,jms,jme,kms,kme,&
+           ips,ipe,jps,jpe,kps,kpe,&
+           SWDOWNZ,TAU_DUST,QSURFDUST,&
+           MTOT,ICETOT,TAU_ICE,&
+           HR_SW,HR_LW,HR_DYN,DT,DTRAD,DTVDF,DTAJS,&
+           RDUST,VMR_ICE,RICE)
 
    INTEGER, INTENT(IN) :: ims,ime,jms,jme,kms,kme
@@ -80,23 +80,28 @@
      MTOT,ICETOT,TAU_ICE
    REAL, DIMENSION( ims:ime, kms:kme, jms:jme ), INTENT(INOUT ) :: &
-     HR_SW,HR_LW,RDUST,VMR_ICE,RICE
+     HR_SW,HR_LW,HR_DYN,RDUST,VMR_ICE,RICE,DT,DTRA,DTVDF,DTAJS
    INTEGER :: i,j,k,subs
-   REAL, DIMENSION(kms:kme) :: phr_sw,phr_lw
+   REAL, DIMENSION(kms:kme) :: phr_sw,phr_lw,phr_dyn
 
   open(17,file='prescribed_sw.txt',form='formatted',status='old')
   open(18,file='prescribed_lw.txt',form='formatted',status='old')
+  open(19,file='prescribed_dyn.txt',form='formatted',status='old')
   rewind(17)
   rewind(18)
+  rewind(19)
   DO k=1,kpe-kps+1
     read(17,*) phr_sw(k)
     read(18,*) phr_lw(k)
+    read(19,*) phr_dyn(k)
   ENDDO
+  close(19)
+  close(18)
   close(17)
-  close(18)
-  print*,'phr_lw',phr_lw 
+ !print*,'phr_lw',phr_lw 
   DO j=jps,jpe 
   DO i=ips,ipe
     HR_SW(i,:,j)=phr_sw(:)
     HR_LW(i,:,j)=phr_lw(:)
+    HR_DYN(i,:,j)=phr_dyn(:)
   ENDDO
   ENDDO
